SimpleGroovyMemberDoc (Groovy 5.0.0)
Description: declaration: package: org.codehaus.groovy.tools.groovydoc, class: SimpleGroovyMemberDoc

Package org.codehaus.groovy.tools.groovydoc

# Class SimpleGroovyMemberDoc

java.lang.Object
org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc

All Implemented Interfaces:
  `Comparable<GroovyDoc>`, `GroovyDoc`, `GroovyMemberDoc`, `GroovyProgramElementDoc`

Direct Known Subclasses:
  `SimpleGroovyExecutableMemberDoc`, `SimpleGroovyFieldDoc`

public class SimpleGroovyMemberDoc extends SimpleGroovyAbstractableElementDoc implements GroovyMemberDoc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected GroovyClassDoc`
  `belongsToClass`

  ### Fields inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, RECORD_DEF, TRAIT_DEF`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleGroovyMemberDoc(String name, GroovyClassDoc belongsToClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `commentText()`
  `String`
  `firstSentenceCommentText()`
  `boolean`
  `isSynthetic()`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc

  `isAbstract, setAbstract`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc

  `addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `calculateFirstSentence, compareTo, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, tokenType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

  `getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, name, setRawCommentText`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

  `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

- ## Field Details

  - ### belongsToClass

    protected GroovyClassDoc belongsToClass

- ## Constructor Details

  - ### SimpleGroovyMemberDoc

    public SimpleGroovyMemberDoc(String name, GroovyClassDoc belongsToClass)

- ## Method Details

  - ### isSynthetic

    public boolean isSynthetic()
    Specified by:
      `isSynthetic` in interface `GroovyMemberDoc`

  - ### firstSentenceCommentText

    public String firstSentenceCommentText()
    Specified by:
      `firstSentenceCommentText` in interface `GroovyDoc`
    Overrides:
      `firstSentenceCommentText` in class `SimpleGroovyDoc`

  - ### commentText

    public String commentText()
    Specified by:
      `commentText` in interface `GroovyDoc`
    Overrides:
      `commentText` in class `SimpleGroovyDoc`